/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.Fort: ImageVector
    get() {
        if (_fort != null) {
            return _fort!!
        }
        _fort = materialIcon(name = "TwoTone.Fort") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(19.0f, 8.17f)
                lineTo(20.17f, 7.0f)
                horizontalLineToRelative(-4.34f)
                lineTo(17.0f, 8.17f)
                verticalLineTo(12.0f)
                horizontalLineTo(7.0f)
                verticalLineTo(8.17f)
                lineTo(8.17f, 7.0f)
                horizontalLineTo(3.83f)
                lineTo(5.0f, 8.17f)
                verticalLineToRelative(7.66f)
                lineToRelative(-2.0f, 2.0f)
                verticalLineTo(19.0f)
                horizontalLineToRelative(5.0f)
                verticalLineToRelative(-1.0f)
                curveToRelative(0.0f, -2.21f, 1.79f, -4.0f, 4.0f, -4.0f)
                reflectiveCurveToRelative(4.0f, 1.79f, 4.0f, 4.0f)
                verticalLineToRelative(1.0f)
                horizontalLineToRelative(5.0f)
                verticalLineToRelative(-1.17f)
                lineToRelative(-2.0f, -2.0f)
                verticalLineTo(8.17f)
                close()
            }
            materialPath {
                moveTo(23.0f, 7.0f)
                verticalLineTo(3.0f)
                horizontalLineToRelative(-2.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(-2.0f)
                verticalLineTo(3.0f)
                horizontalLineToRelative(-2.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(-2.0f)
                verticalLineTo(3.0f)
                horizontalLineToRelative(-2.0f)
                verticalLineToRelative(4.0f)
                lineToRelative(2.0f, 2.0f)
                verticalLineToRelative(1.0f)
                horizontalLineTo(9.0f)
                verticalLineTo(9.0f)
                lineToRelative(2.0f, -2.0f)
                verticalLineTo(3.0f)
                horizontalLineTo(9.0f)
                verticalLineToRelative(2.0f)
                horizontalLineTo(7.0f)
                verticalLineTo(3.0f)
                horizontalLineTo(5.0f)
                verticalLineToRelative(2.0f)
                horizontalLineTo(3.0f)
                verticalLineTo(3.0f)
                horizontalLineTo(1.0f)
                verticalLineToRelative(4.0f)
                lineToRelative(2.0f, 2.0f)
                verticalLineToRelative(6.0f)
                lineToRelative(-2.0f, 2.0f)
                verticalLineToRelative(4.0f)
                horizontalLineToRelative(9.0f)
                verticalLineToRelative(-3.0f)
                curveToRelative(0.0f, -1.1f, 0.9f, -2.0f, 2.0f, -2.0f)
                reflectiveCurveToRelative(2.0f, 0.9f, 2.0f, 2.0f)
                verticalLineToRelative(3.0f)
                horizontalLineToRelative(9.0f)
                verticalLineToRelative(-4.0f)
                lineToRelative(-2.0f, -2.0f)
                verticalLineTo(9.0f)
                lineTo(23.0f, 7.0f)
                close()
                moveTo(21.0f, 19.0f)
                horizontalLineToRelative(-5.0f)
                verticalLineToRelative(-1.0f)
                curveToRelative(0.0f, -2.21f, -1.79f, -4.0f, -4.0f, -4.0f)
                reflectiveCurveToRelative(-4.0f, 1.79f, -4.0f, 4.0f)
                verticalLineToRelative(1.0f)
                horizontalLineTo(3.0f)
                verticalLineToRelative(-1.17f)
                lineToRelative(2.0f, -2.0f)
                verticalLineTo(8.17f)
                lineTo(3.83f, 7.0f)
                horizontalLineToRelative(4.34f)
                lineTo(7.0f, 8.17f)
                verticalLineTo(12.0f)
                horizontalLineToRelative(10.0f)
                verticalLineTo(8.17f)
                lineTo(15.83f, 7.0f)
                horizontalLineToRelative(4.34f)
                lineTo(19.0f, 8.17f)
                verticalLineToRelative(7.66f)
                lineToRelative(2.0f, 2.0f)
                verticalLineTo(19.0f)
                close()
            }
        }
        return _fort!!
    }

private var _fort: ImageVector? = null
